from src.detections import DateDetection
from src.detectors.date.date import DateDetector


def test_detect_dates_pl():
    detector = DateDetector("ru")

    text = "1.01.2022 я продал кошку. 5 апреля 2021 я купил собаку."
    found_dates = detector.detect(text, dict())

    format_date1 = [
        (
            DateDetection.AnnotationPart.TWO_DIGITS_DAY,
            "01",
        ),  # Only supports two digits for now
        (DateDetection.AnnotationPart.OTHER, "."),
        (DateDetection.AnnotationPart.TWO_DIGIT_MONTH, "01"),
        (DateDetection.AnnotationPart.OTHER, "."),
        (DateDetection.AnnotationPart.FOUR_DIGIT_YEAR, "2022"),
    ]

    format_date2 = [
        (DateDetection.AnnotationPart.TWO_DIGITS_DAY, "05"),
        (DateDetection.AnnotationPart.OTHER, " "),
        (
            DateDetection.AnnotationPart.TEXT_MONTH,
            "апреля",
        ),  # Only supports two digits for now
        (DateDetection.AnnotationPart.OTHER, " "),
        (DateDetection.AnnotationPart.FOUR_DIGIT_YEAR, "2021"),
    ]

    assert found_dates == [
        (0, 9, DateDetection(format_date1)),
        (26, 39, DateDetection(format_date2)),
    ]
