from src.detectors.url import UrlDetector
from src.detections import UrlDetection


def test_detect_urls():
    detector = UrlDetector("en")

    text = (
        "This is a test for www.google.com. Make sure to go to https://www.google.com"
    )
    found_urls = detector.detect(text, dict())

    assert found_urls == [(19, 33, UrlDetection()), (54, 76, UrlDetection())]


def test_detect_urls_pl():
    detector_en = UrlDetector("en")
    detector_pl = UrlDetector("pl")

    text = "m.in. https://www.google.com"
    found_urls_pl = detector_pl.detect(text, dict())
    found_urls_en = detector_en.detect(text, dict())

    # m.in is a valid shortcut for między innymi in Polish. It should not be detected as a URL.
    assert found_urls_pl == [(6, 28, UrlDetection())]
    assert found_urls_en == [(0, 4, UrlDetection()), (6, 28, UrlDetection())]
